#!/bin/sh

if ! ps cax | grep -q sshd
then
    echo "WARNING: Please install SSH server before continuing. Otherwise, pai4sk/snapML packages will not function properly" >> $PREFIX/.messages.txt
    echo "WARNING: DO NOT install the conda package. Use \`sudo yum install openssh-server\` for rhel or \`sudo apt install openssh-server\` for ubuntu " >> $PREFIX/.messages.txt
fi

if ! which ssh > /dev/null 2>&1
then
    echo "WARNING: Please install SSH client before continuing. Otherwise, pai4sk/snapML packages will not function properly" >> $PREFIX/.messages.txt
    echo "WARNING: DO NOT install the conda package. Use \`sudo yum install openssh-clients\` for rhel or \`sudo apt install openssh-client\` for ubuntu " >> $PREFIX/.messages.txt
fi
