# KNN example using RAPIDS cuML in pai4sk

example-knn.py has a sample code to show how NearestNeighbors from cuML in
pai4sk can be used. The sample code performs KNN clustering through cuML
in pai4sk and through scikit-learn's NearestNeighbors and compares the results.

# How to run the example
If cuml is not already installed, run `conda install cuml` in the python3.x
conda environment. Similarly, if scikit-learn is not already installed in the
conda environment, run `conda install scikit-learn`. Then run the example
as below. This will use GPU 0.

```
python example-knn.py
```

See $CONDA_PREFIX/pai4sk/local-examples/cuml-examples/README.md for
description of command line options of the cuML examples.

&copy; Copyright IBM Corporation 2019
